package com.xydl.cac.service;


import com.xydl.cac.entity.*;
import com.xydl.cac.model.*;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface DataService {

    List<ColumnModel> getDataTables() throws Exception;

    List<ColumnModel> getDataTableColumns(String tableName);

    String getFieldType(String tableName, String field);

    OnePage<Map<String, Object>> getData(String tableName, Integer devId, List<ModevTypePoint> points, ConditionModel model) throws Exception;

    void clearAllBind();

    List<Map<String, Object>> getLatestData(String tableName, Integer devId, List<ModevTypePoint> points, Date start) throws Exception;

    Map<String, Object> getLastOneData(String tableName, Integer devId, ModevTypePoint point) throws Exception;

    void insertData(String tableName, Integer devId, String time, String colname, String value);

}
